'use strict'

const fs = require('fs')
const path = require('path')
const gql = require('graphql-tag')
const { introspectSchema } = require('graphql-tools')

const EasyGraphQLTester = require('../lib')

const testSchema = fs.readFileSync(path.join(__dirname, 'schema.gql'), 'utf8')

const { HttpLink } =  require('apollo-link-http')
const fetch =  require('node-fetch')

const link = new HttpLink({ uri: 'http://localhost:3000/', fetch });

async function test() {
  const schema = await introspectSchema(link)
  console.log('----<', schema)
  const tester = new EasyGraphQLTester(schema)

  const query = `
    {
      me {
        id
      }
    }
  `
  const x = tester.mock({
    query
  })

  return x
}


(async () => console.log(await test()))()